package com.kingdee.eas.custom.compensation.startingsalary;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSalaryConfirmationEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractSalaryConfirmationEntryInfo()
    {
        this("id");
    }
    protected AbstractSalaryConfirmationEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 试用期薪酬数据 's 单据头 property 
     */
    public com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo getParent()
    {
        return (com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 试用期薪酬数据 's salaryItem property 
     */
    public com.kingdee.eas.hr.emp.SalaryItemInfo getSalaryItem()
    {
        return (com.kingdee.eas.hr.emp.SalaryItemInfo)get("salaryItem");
    }
    public void setSalaryItem(com.kingdee.eas.hr.emp.SalaryItemInfo item)
    {
        put("salaryItem", item);
    }
    /**
     * Object:试用期薪酬数据's 金额property 
     */
    public java.math.BigDecimal getAmount()
    {
        return getBigDecimal("amount");
    }
    public void setAmount(java.math.BigDecimal item)
    {
        setBigDecimal("amount", item);
    }
    /**
     * Object:试用期薪酬数据's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("46807CDE");
    }
}